Qt 5.8 | Qt 3D | C++ Classes | QTextureLoader

Qt 5.8.0 Reference Documentation

# QTextureLoader Class

(Qt3DRender::QTextureLoader)

Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Properties

- mirrored : bool
- source : QUrl

- 15 properties inherited from Qt3DRender::QAbstractTexture
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTextureLoader(Qt3DCore::QNode *parent = nullptr)
bool | isMirrored() const
QUrl | source() const

- 21 public functions inherited from Qt3DRender::QAbstractTexture
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMirrored(bool mirrored)
void | setSource(const QUrl &source)

- 12 public slots inherited from Qt3DRender::QAbstractTexture
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | mirroredChanged(bool mirrored)
void | sourceChanged(const QUrl &source)

- 13 signals inherited from Qt3DRender::QAbstractTexture
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### mirrored : bool

This property specifies whether the texture should be mirrored when loaded. This is a convenience to avoid having to manipulate images to match the origin of the texture coordinates used by the rendering API. By default this property is set to true. This has no effect when using compressed texture formats.

Note: OpenGL specifies the origin of texture coordinates from the lower left hand corner whereas DirectX uses the the upper left hand corner.

Note: When using cube map texture you'll probably want mirroring disabled as the cube map sampler takes a direction rather than regular texture coordinates.

Access functions:

bool | isMirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### source : QUrl

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

## Member Function Documentation

### QTextureLoader::QTextureLoader(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureLoader.

### `[slot]` void QTextureLoader::setMirrored(bool mirrored)

Sets mirroring to mirrored.

Note: This internally triggers a call to update the data generator.

Note: Setter function for property mirrored.

See also isMirrored().

### `[slot]` void QTextureLoader::setSource(const QUrl &source)

Sets the texture loader source to source. source

Note: Setter function for property source.

See also source().

### QUrl QTextureLoader::source() const

Returns the current texture source.

Note: Getter function for property source.

See also setSource().